Page MenuHomePhabricator

[clang][DeclPrinter] Implement visitors for {TemplateType,NonTypeTemplate}Parms
ClosedPublic

Authored by kadircet on Jan 30 2020, 5:04 AM.

Diff Detail

Event Timeline

kadircet created this revision.Jan 30 2020, 5:04 AM
Herald added a project: Restricted Project. · View Herald TranscriptJan 30 2020, 5:04 AM

Unit tests: pass. 62330 tests passed, 0 failed and 838 were skipped.

clang-tidy: pass.

clang-format: pass.

Build artifacts: diff.json, clang-tidy.txt, clang-format.patch, CMakeCache.txt, console-log.txt, test-results.xml

Pre-merge checks is in beta. Report issue. Please join beta or enable it for your project.

hokein accepted this revision.Feb 5 2020, 2:58 AM

if it is trivial, it would be nice to add some unittests in clang/unittests/AST/DeclPrinterTest.cpp.

This revision is now accepted and ready to land.Feb 5 2020, 2:58 AM
kadircet updated this revision to Diff 242883.Feb 6 2020, 5:59 AM
  • Add unittests to ASTDeclPrinter
This revision was automatically updated to reflect the committed changes.